/***************************************************************************
                          dcsplash.cpp  -  description
                             -------------------
    begin                : Fre Apr 12 2002
    copyright            : (C) 2002 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qtranslator.h>
#include <qlabel.h>
#include <qpixmap.h>

#include "dcsplash.h"
#include "res/world2.xpm"

#include <dclib/dcos.h>

/** */
DCSplash::DCSplash(QWidget *parent, const char *name, int /*wflags*/ ) : DCDialogSplash(parent,name,WType_Popup)
{
	QPixmap pm(world2_xpm);

	Frame_PIXMAP->setBackgroundPixmap(pm);

	Frame_PIXMAP->setText( tr("DCGui " VERSION
				"\n\nMaintainer: Mathias Kster"
				"\nLogo: Frank Weiss"
				"\n\nHomepage: http://dc.ketelhot.de"));
}

/** */
DCSplash::~DCSplash()
{
}
