/***************************************************************************
                          dcevent.cpp  -  description
                             -------------------
    begin                : Sun Dec 15 2002
    copyright            : (C) 2002 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <dclib/dcos.h>
#include <dclib/dcobject.h>
#include <dclib/cdownloadmanager.h>

#include "dcevent.h"

/** */
DC_DownloadManagerEvent::DC_DownloadManagerEvent( Type type, CDownloadManagerInfo * info ) : QEvent( type )
{
	m_pDownloadManagerInfo = new CDownloadManagerInfo();

	*m_pDownloadManagerInfo = *info;
}

/** */
DC_DownloadManagerEvent::~DC_DownloadManagerEvent()
{
	delete m_pDownloadManagerInfo;
}

/** */
DC_FileManagerEvent::DC_FileManagerEvent( Type type, CFileManagerInfo * info ) : QEvent( type )
{
	m_pFileManagerInfo = new CFileManagerInfo();

	*m_pFileManagerInfo = *info;
}

/** */
DC_FileManagerEvent::~DC_FileManagerEvent()
{
	delete m_pFileManagerInfo;
}

/** */
DC_TrafficInfoEvent::DC_TrafficInfoEvent( Type type, DCMessageTraffic * info ) : QEvent( type )
{
	m_pTrafficInfo = new DCMessageTraffic();

	*m_pTrafficInfo = *info;
}

/** */
DC_TrafficInfoEvent::~DC_TrafficInfoEvent()
{
	delete m_pTrafficInfo;
}
